sailpoint.object

## Class Filter.LeafFilter

- java.lang.Object
- - sailpoint.object.Filter
  - - sailpoint.object.Filter.LeafFilter

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Filter

    public static class Filter.LeafFilter
    extends Filter

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class sailpoint.object.Filter

`Filter.BaseFilterVisitor, Filter.BooleanOperation, Filter.CompositeFilter, Filter.FilterCompiler, Filter.FilterVisitor, Filter.LeafFilter, Filter.LogicalOperation, Filter.MatchMode`

### Constructor Summary

Constructors
Constructor and Description
`LeafFilter()`
`LeafFilter(Filter.LeafFilter src)`
`LeafFilter(Filter.LogicalOperation operation, java.lang.String property)`
`LeafFilter(Filter.LogicalOperation operation, java.lang.String property, java.lang.Class<?> subqueryClass, java.lang.String subqueryProperty, Filter subqueryFilter)`
`LeafFilter(Filter.LogicalOperation operation, java.lang.String property, java.lang.Object value)`
`LeafFilter(Filter.LogicalOperation operation, java.lang.String property, java.lang.Object value, Filter.MatchMode matchMode)`
`LeafFilter(java.lang.String property, Filter.CompositeFilter collectionCondition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(Filter.FilterVisitor visitor)`
`java.lang.String` `getCast()`
`Filter.CompositeFilter` `getCollectionCondition()`
`java.lang.String` `getExpression()`
`java.lang.String` `getJoinProperty()`
`Filter.MatchMode` `getMatchMode()`
`java.lang.String` `getMatchModeString(java.lang.String value, java.lang.String wild)`
`Filter.LogicalOperation` `getOperation()`
`java.lang.String` `getProperty()`
`java.lang.Class<?>` `getSubqueryClass()`
`Filter` `getSubqueryFilter()`
`java.lang.String` `getSubqueryProperty()`
`java.lang.Object` `getValue()`
`java.lang.String` `getValueXMLAttribute()`
`java.lang.Object` `getValueXMLElement()`
`boolean` `isIgnoreCase()`
`void` `setCast(java.lang.String _cast)`
`void` `setCollectionCondition(Filter.CompositeFilter filter)`
`void` `setIgnoreCase(boolean ignoreCase)`
`void` `setJoinProperty(java.lang.String joinProperty)`
`void` `setMatchMode(Filter.MatchMode mm)`
`void` `setOperation(Filter.LogicalOperation op)`
`void` `setProperty(java.lang.String property)`
`void` `setSubqueryClass(java.lang.Class<?> clazz)`
`void` `setSubqueryFilter(Filter filter)`
`void` `setSubqueryProperty(java.lang.String property)`
`void` `setValue(java.lang.Object val)`
`void` `setValueXMLAttribute(java.lang.String value)`
`void` `setValueXMLElement(java.lang.Object value)`
`java.lang.String` `toString()`

### Methods inherited from class sailpoint.object.Filter

`and, and, and, clone, collectionCondition, compile, contains, containsAll, contentEquals, eq, equals, fromExample, ge, getExpression, gt, hashCode, ignoreCase, in, isempty, isnull, join, le, leftJoin, like, like, lt, ne, not, notnull, or, or, or, subquery`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LeafFilter

    public LeafFilter()

#### LeafFilter

    public LeafFilter(Filter.LogicalOperation operation,
                      java.lang.String property)

#### LeafFilter

    public LeafFilter(Filter.LogicalOperation operation,
                      java.lang.String property,
                      java.lang.Object value)

#### LeafFilter

    public LeafFilter(Filter.LogicalOperation operation,
                      java.lang.String property,
                      java.lang.Object value,
                      Filter.MatchMode matchMode)

#### LeafFilter

    public LeafFilter(java.lang.String property,
                      Filter.CompositeFilter collectionCondition)

#### LeafFilter

    public LeafFilter(Filter.LogicalOperation operation,
                      java.lang.String property,
                      java.lang.Class<?> subqueryClass,
                      java.lang.String subqueryProperty,
                      Filter subqueryFilter)

#### LeafFilter

    public LeafFilter(Filter.LeafFilter src)

### Method Detail

#### getOperation

    public Filter.LogicalOperation getOperation()

#### setOperation

    public void setOperation(Filter.LogicalOperation op)

#### getMatchMode

    public Filter.MatchMode getMatchMode()

#### setMatchMode

    public void setMatchMode(Filter.MatchMode mm)

#### getMatchModeString

    public java.lang.String getMatchModeString(java.lang.String value,
                                               java.lang.String wild)

#### getProperty

    public java.lang.String getProperty()

#### setProperty

    public void setProperty(java.lang.String property)

#### getJoinProperty

    public java.lang.String getJoinProperty()

#### setJoinProperty

    public void setJoinProperty(java.lang.String joinProperty)

#### getValue

    public java.lang.Object getValue()

#### setValue

    public void setValue(java.lang.Object val)

#### getCast

    public java.lang.String getCast()

#### setCast

    public void setCast(java.lang.String _cast)

#### getValueXMLAttribute

    public java.lang.String getValueXMLAttribute()

#### setValueXMLAttribute

    public void setValueXMLAttribute(java.lang.String value)

#### getValueXMLElement

    public java.lang.Object getValueXMLElement()

#### setValueXMLElement

    public void setValueXMLElement(java.lang.Object value)

#### isIgnoreCase

    public boolean isIgnoreCase()

#### setIgnoreCase

    public void setIgnoreCase(boolean ignoreCase)

#### getCollectionCondition

    public Filter.CompositeFilter getCollectionCondition()

#### setCollectionCondition

    public void setCollectionCondition(Filter.CompositeFilter filter)

#### getSubqueryClass

    public java.lang.Class<?> getSubqueryClass()

#### setSubqueryClass

    public void setSubqueryClass(java.lang.Class<?> clazz)

#### getSubqueryProperty

    public java.lang.String getSubqueryProperty()

#### setSubqueryProperty

    public void setSubqueryProperty(java.lang.String property)

#### getSubqueryFilter

    public Filter getSubqueryFilter()

#### setSubqueryFilter

    public void setSubqueryFilter(Filter filter)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getExpression

    public java.lang.String getExpression()

Specified by:
  `getExpression` in class `Filter`

#### accept

    public void accept(Filter.FilterVisitor visitor)
                throws GeneralException

Specified by:
  `accept` in class `Filter`
Throws:
  `GeneralException`